%Format: [BodeM,BodeP]=gdata_auto3(indataname,indata,outdataname,outdata,leaveplot,hz)
function [BodeM,BodeP]=gdata_auto3(indataname,indata,outdataname,outdata,leaveplot,hz)
if nargin==4
    leaveplot=0;
    hz=0;
end
gselect=0;
N=256;
T=1/60;
%data(:,2)=filter(bartlett(10)/5,1,data(:,2));
while gselect~=1
    figure, hold on
    x=[1 256];
%    plot(indata,'b'), plot(outdata,'r'), title([outdataname '/' indataname ' :Select a START point for the window (N=' num2str(N) ') of analysis'])
%    [x(1),y]=ginput(1); x=floor(x);
%    fprintf(['Start : ' num2str(x(1)) '(' num2str(x(1)*.004) 's)\n'])
%    [x(2),y]=ginput(1); x=floor(x);
%    x(2)=x(1)+N;
    subplot(3,1,1), hold on, plot(indata(x(1):x(2))), plot(outdata(x(1):x(2))), title(['Out/In : ' outdataname '/' indataname ])
    if hz==1
        w=(1:1:N)'/(N*T);
    else
        w=2*pi*(1:1:N)'/(N*T);
    end
    FFTin=fft(indata(x(1):x(2)),N)/N;
    FFTout=fft(outdata(x(1):x(2)),N)/N;
    subplot(3,1,2), plot(w(1:N/2),abs(FFTin(1:N/2))), title('FFT of Input'), axis([0 w(N/2) 0 120])
    subplot(3,1,3), plot(w(1:N/2),abs(FFTout(1:N/2))), title('FFT of Output'), axis([0 w(N/2) 0 80])
    gselect=menu('Use these?','Yes','No');
    close
end
Bdata=FFTout./FFTin;
BodeM=20*log10(abs(Bdata));
BodeP=180/pi*unwrap(angle(Bdata));

if leaveplot==1
    figure
    subplot(2,1,1)
    semilogx(w,BodeM)
    if hz==1
        axis([.008 6.5 -75 50])
    else
        axis([.05 40 -75 50])
    end
    ylabel('Magnitude (dB)')
    title(['Bode Plot - Datasets - Out=''' outdataname ', In=''' indataname ''''])
    subplot(2,1,2)
    semilogx(w,BodeP)
    if hz==1
        axis([.008 6.5 -360 360])
        xlabel('Frequency (Hz)')
    else
        axis([.05 40 -360 360])
        xlabel('Frequency (rad/s)')
    end
    ylabel('Phase(deg)')
end


%clear gselect x y T N w FFTin FFTout Bdata BodeM BodeP